GDB (xrefs)

Public Member Functions | List of all members
scoped_free_pendings Class Reference

`#include "buildsym.h"`

## Public Member Functions
| scoped_free_pendings ()=default
| ~scoped_free_pendings ()
| DISABLE_COPY_AND_ASSIGN (scoped_free_pendings)

## Detailed Description

Definition at line 216 of file buildsym.h.

## Constructor & Destructor Documentation

## ◆ scoped_free_pendings()

scoped_free_pendings::scoped_free_pendings | ( |  | ) |
| default

## ◆ ~scoped_free_pendings()

scoped_free_pendings::~scoped_free_pendings | ( |  | ) |

Definition at line 277 of file buildsym.c.

References file_symbols, free_buildsym_compunit(), free_macro_table(), free_pending_blocks(), free_pendings, global_symbols, pending::next, pending_addrmap, pending_addrmap_obstack, pending_macros, and xfree().

## Member Function Documentation

## ◆ DISABLE_COPY_AND_ASSIGN()

scoped_free_pendings::DISABLE_COPY_AND_ASSIGN | ( | scoped_free_pendings |  | ) |

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/buildsym.h
- /tmp/gdb-8.1/gdb/buildsym.c